"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lamps = exports.lamp_response = exports.no_brightness = exports.full_brightness = exports.color_white_response = exports.color_white = exports.color_red_response = exports.color_red = exports.group_on = exports.group_off = exports.state_on = exports.state_off = void 0;
var state_off = function (lightIndex) {
    return {
        attribute: "/lights/".concat(lightIndex, "/state/on"),
        value: false
    };
};
exports.state_off = state_off;
var state_on = function (lightIndex) {
    return {
        attribute: "/lights/".concat(lightIndex, "/state/on"),
        value: true
    };
};
exports.state_on = state_on;
var group_off = function (groupIndex) {
    return {
        address: "/groups/".concat(groupIndex, "/action/on"),
        value: false
    };
};
exports.group_off = group_off;
var group_on = function (groupIndex) {
    return {
        address: "/groups/".concat(groupIndex, "/action/on"),
        value: true
    };
};
exports.group_on = group_on;
exports.color_red = [0.6484272236872118, 0.330856101472778];
exports.color_red_response = {
    attribute: '/lights/1/state/xy',
    value: exports.color_red
};
exports.color_white = [0.33618074375880236, 0.3603696362840742];
exports.color_white_response = [
    {
        success: {
            address: '/groups/0/action/xy',
            value: [0.33618074375880236, 0.3603696362840742]
        }
    }
];
exports.full_brightness = 254;
exports.no_brightness = 1;
exports.lamp_response = {
    '1': {
        lampIndex: 1,
        state: {
            on: true,
            bri: 144,
            hue: 13088,
            sat: 212,
            xy: [0.5128, 0.4147],
            ct: 467,
            alert: 'none',
            effect: 'none',
            colormode: 'xy',
            reachable: true
        },
        type: 'Extended color light',
        name: 'Hue Lamp 1',
        modelid: 'LCT001',
        swversion: '66009461',
        pointsymbol: {
            '1': 'none',
            '2': 'none',
            '3': 'none',
            '4': 'none',
            '5': 'none',
            '6': 'none',
            '7': 'none',
            '8': 'none'
        }
    },
    '2': {
        lampIndex: 2,
        state: {
            on: false,
            bri: 0,
            hue: 0,
            sat: 0,
            xy: [0, 0],
            ct: 0,
            alert: 'none',
            effect: 'none',
            colormode: 'hs',
            reachable: false
        },
        type: 'Extended color light',
        name: 'Hue Lamp 2',
        modelid: 'LCT001',
        swversion: '66009461',
        pointsymbol: {
            '1': 'none',
            '2': 'none',
            '3': 'none',
            '4': 'none',
            '5': 'none',
            '6': 'none',
            '7': 'none',
            '8': 'none'
        }
    }
};
exports.lamps = [exports.lamp_response['1'], exports.lamp_response['2']];
//# sourceMappingURL=hue-test-constants.js.map